package com.nuliji.tools.pay.common;

import java.math.BigDecimal;

/**
 * 统一结果信息
 * Created by gaojie on 2017/5/11.
 */
public class ResultInfo {

    private String appId = "";
    private String pid = "";
    private String status = "";
    private String message = "";
    private Object response = null;
    private Object request = null;
    private String no = "";
    private String transaction_no = "";
    private BigDecimal money = null;
    private String openId = "";

    public ResultInfo(){

    }

    public ResultInfo(String status, String message, Object response, Object request, String no, String transaction_no, BigDecimal money, String openId){
        this.status = status;
        this.message = message;
        this.response = response;
        this.request = request;
        this.no = no;
        this.transaction_no = transaction_no;
        this.money = money;
        this.openId = openId;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public Object getResponse() {
        return response;
    }

    public void setResponse(Object response) {
        this.response = response;
    }

    public Object getRequest() {
        return request;
    }

    public void setRequest(Object request) {
        this.request = request;
    }

    public String getTransaction_no() {
        return transaction_no;
    }

    public void setTransaction_no(String transaction_no) {
        this.transaction_no = transaction_no;
    }

    public BigDecimal getMoney() {
        return money;
    }

    public void setMoney(BigDecimal money) {
        this.money = money;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getNo() {
        return no;
    }

    public void setNo(String no) {
        this.no = no;
    }

    public String getOpenId() {
        return openId;
    }

    public void setOpenId(String openId) {
        this.openId = openId;
    }
}